using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories;

public interface IMedicamentRepository
{
    IEnumerable<Medicament> ReadMedicaments();

    Medicament ReadMedicamentById(int id);

    void CreateMedicament(Medicament medicament);

    void UpdateMedicament(Medicament medicament);

    void DeleteMedicament(int id);
}
